<?php 

class Personal extends Database{

	#INSERTAR
	public function insertar($numDoc_per, $expeditoDoc_per, $nom_per, $primerAp_per, $segundoAp_per, $fechaNac_per, $correo_per, $numCelu_per, $id_dir, $id_uni, $cargo, $gradoAcad_per, $estado_per){
		$sql="INSERT INTO t_personales VALUES('','$numDoc_per','$expeditoDoc_per','$nom_per','$primerAp_per','$segundoAp_per','$fechaNac_per','$correo_per','$numCelu_per','$id_dir','$id_uni','$cargo','$gradoAcad_per','$estado_per') ";
		
		$result=$this->connect()->query($sql);

		if($result)
			return true;
		return false;

		//$this->cerrarConexion($conn);
	}
	
	#MOSTRAR
	public function mostrar(){

        $sql="SELECT *FROM t_personales p, t_direcciones d, t_unidades u WHERE p.id_uni=u.id_uni AND p.id_dir=d.id_dir  ORDER BY id_per ASC";
        $result=$this->connect()->query($sql);
        return $result;
    }

    #ACTUALIZAR
    public function actualizar($numDoc_per, $expeditoDoc_per, $nom_per, $primerAp_per, $segundoAp_per, $fechaNac_per,$correo_per, $numCelu_per, $id_dir, $id_uni, $cargo, $gradoAcad_per, $id_per){
		$sql="UPDATE t_personales SET numDoc_per='$numDoc_per', 
										expeditoDoc_per='$expeditoDoc_per',
										nom_per='$nom_per',
										primerAp_per='$primerAp_per',
										segundoAp_per='$segundoAp_per',
										fechaNac_per='$fechaNac_per',
										correo_per='$correo_per',
										numCelu_per='$numCelu_per',
										id_dir='$id_dir',
										id_uni='$id_uni',
										cargo='$cargo',
										gradoAcad_per='$gradoAcad_per'
										WHERE id_per='$id_per' ";
		$result=$this->connect()->query($sql);
		if($result)
			return true;
		return false;
	}


	#ESTADO 
	public function estado($id_per, $estado_per){
		$sql="UPDATE t_personales SET estado_per='$estado_per' WHERE id_per='$id_per' ";
		$resul=$this->connect()->query($sql);
		if($resul)
			return true;
		return false;
	}

	#MOSTRAR para asignar usuario 
	public function mostrarAsig(){

        $sql="SELECT *FROM t_personales p, t_direcciones d, t_unidades u WHERE p.id_uni=u.id_uni AND p.id_dir=d.id_dir AND estado_per='ACTIVO'  ORDER BY id_per ASC";
        $result=$this->connect()->query($sql);
        return $result;
    }

}

?>